unit Unit1;

//Programme par Yoann
//http://delphipage.free.fr/

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Menus, Clipbrd;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Fichier1: TMenuItem;
    Ouvrir1: TMenuItem;
    N1: TMenuItem;
    Quitter1: TMenuItem;
    Edition1: TMenuItem;
    Couper1: TMenuItem;
    Copier1: TMenuItem;
    Coller1: TMenuItem;
    Image1: TImage;
    OpenDialog1: TOpenDialog;
    N2: TMenuItem;
    Supprimer1: TMenuItem;
    procedure Ouvrir1Click(Sender: TObject);
    procedure Quitter1Click(Sender: TObject);
    procedure Couper1Click(Sender: TObject);
    procedure Copier1Click(Sender: TObject);
    procedure Coller1Click(Sender: TObject);
    procedure Edition1Click(Sender: TObject);
    procedure Supprimer1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Ouvrir1Click(Sender: TObject);
begin
if OpenDialog1.Execute then
begin
Image1.Picture.LoadFromFile(OpenDialog1.FileName);
end;

end;

procedure TForm1.Quitter1Click(Sender: TObject);
begin
Close;
end;

procedure TForm1.Couper1Click(Sender: TObject);
Var ARect:TRect;
begin
Clipboard.Assign(Image1.Picture);
 with Image1.Canvas do
 begin
  CopyMode:=cmWhiteness;
  ARect:=Rect(0,0,Image1.Width,Image1.Height);
  CopyRect(ARect, Image1.Canvas, ARect);
  CopyMode:=cmSrcCopy;
end;
end;


procedure TForm1.Copier1Click(Sender: TObject);
begin
Clipboard.Assign(Image1.Picture);
end;

procedure TForm1.Coller1Click(Sender: TObject);
begin
Image1.Picture.Assign(Clipboard);
end;

procedure TForm1.Edition1Click(Sender: TObject);
begin
Coller1.Enabled := Clipboard.HasFormat(CF_BITMAP);
end;

procedure TForm1.Supprimer1Click(Sender: TObject);
Var ARect:TRect;
begin
with Image1.Canvas do
 begin
   CopyMode:=cmBlackness;
   ARect:=Rect(0,0,Image1.Width, Image1.Height);
   CopyRect(ARect, Image1.Canvas, ARect);
   CopyMode:=cmSrcCopy;
  end;
end;

end.
